Skip to content

getStorageUnit

READ

Get storage unit.

POST /api/v1/inventory/getStorageUnit
curl -X POST '<your-host>/api/v1/inventory/getStorageUnit' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "storageUnitId": "string"
  }'
Response
{
  "active": true,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "id": "string",
  "isWorkCenterDefault": true,
  "locationId": "string",
  "name": "string",
  "parentId": "string",
  "storageTypeIds": [
    "string"
  ],
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string",
  "warehouseId": "string",
  "workCenterId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "storageUnitId": {
      "type": "string"
    }
  },
  "required": [
    "storageUnitId"
  ]
}